commit:     5463b729ed9acffc44d52367fe8c0d9cb5c70480
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 13:21:40 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 15:00:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5463b729

sys-libs/talloc: Bump to version 2.2.0

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/talloc/Manifest            |  1 +
 sys-libs/talloc/talloc-2.2.0.ebuild | 89 +++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/sys-libs/talloc/Manifest b/sys-libs/talloc/Manifest
index 00b07d1de72..51d62bd0592 100644
--- a/sys-libs/talloc/Manifest
+++ b/sys-libs/talloc/Manifest
@@ -3,3 +3,4 @@ DIST talloc-2.1.15.tar.gz 634092 BLAKE2B 
e7dfad56e0f6325f50a025e4c92bb1d3d2b1d93
 DIST talloc-2.1.16.tar.gz 634906 BLAKE2B 
5f9f2e5ad53944d9a7b5bdb990aa6ab65a3f0d90cd9e368c16b11192e90fdecc873d59618dbf3e15896ecf7bbbbb2deaac91df6e231ad6b22b8e7c14bd382956
 SHA512 
a1affe4ad2a4cf19d4494017e0e6e37cdf9f8e6a98839c9e4e5c02758a7da7ea0040518de9b26707a60eb0a0eab29f939c6823e5840096dc124d351993e05c74
 DIST talloc-2.1.5.tar.gz 436193 BLAKE2B 
88a9ca32b6c6ae869e1761cb027847797e4ef3bb58dc618bae4b00f95637a0a8511f8704fa03ca1ca935127413a10d5297ba3843f0ea6992a97ce586f66cb705
 SHA512 
b938d67fcf4c6618f1149b4ec665957a604e3b07ee26e96ed36d94312db8f56b50498f69f9a07782f7f10a25047604e32b0d1786e1051d5f36b696c2755f8741
 DIST talloc-2.1.9.tar.gz 440335 BLAKE2B 
dde37d99b3cfb63209cdb832444f0416b7c05151cec537e220e13b1148d59b89fb712b4211e078b23f1c6608c8be6df6055d5f394b091ccdea3966c04cbb73be
 SHA512 
a8f051bb15aba769ca286acad0946605d0053b0d149b4da2e6ecc333345f3e603d13a7f062452ae0f165615a4170ebdd7f41fc1b46c7a360000d5308bc304cbb
+DIST talloc-2.2.0.tar.gz 633467 BLAKE2B 
efdb53dbd4d43ce5d682faec01fb53d9c4b5dd7e97cf125e12661e7432bb968f577416cccbd8ee5003811bdd03dcc949b2e7a06312c497fb9eef54667209a653
 SHA512 
e762c6443ff2c0c35a9dbf7ac6e64a9182c04a218ad0f26fd67ac9620d9ae26d68b8dd2b21ff37e1df0e53748c84bece27890c5c4939eaeb61c502a698802388

diff --git a/sys-libs/talloc/talloc-2.2.0.ebuild 
b/sys-libs/talloc/talloc-2.2.0.ebuild
new file mode 100644
index 00000000000..65a8c5b61c9
--- /dev/null
+++ b/sys-libs/talloc/talloc-2.2.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit waf-utils python-single-r1 multilib multilib-minimal
+
+DESCRIPTION="Samba talloc library"
+HOMEPAGE="https://talloc.samba.org/";
+SRC_URI="https://www.samba.org/ftp/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-3 LGPL-3+ LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos 
~sparc-solaris ~x64-solaris"
+IUSE="compat +python"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+       !!<sys-libs/talloc-2.0.5"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       dev-libs/libxslt
+       ${PYTHON_DEPS}"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+RESTRICT="test"
+
+MULTILIB_WRAPPED_HEADERS=(
+       # python goes only for native
+       /usr/include/pytalloc.h
+)
+
+pkg_setup() {
+       # try to turn off distcc and ccache for people that have a problem with 
it
+       export DISTCC_DISABLE=1
+       export CCACHE_DISABLE=1
+
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # what would you expect of waf? i won't even waste time trying.
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local extra_opts=(
+               $(usex compat --enable-talloc-compat1 '')
+               $(multilib_native_usex python '' --disable-python)
+               $([[ ${CHOST} == *-solaris* ]] && echo 
'--disable-symbol-versions')
+       )
+       waf-utils_src_configure "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+       waf-utils_src_compile
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+
+       # waf is stupid, and no, we can't fix the build-system, since it's 
provided
+       # as a brilliant binary blob thats decompressed on the fly
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               install_name_tool \
+                       -id "${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+                       "${ED}"/usr/$(get_libdir)/libtalloc.2.0.5.dylib || die
+               if use python ; then
+                       install_name_tool \
+                               -id 
"${EPREFIX}"/usr/$(get_libdir)/libpytalloc-util.2.dylib \
+                               
"${ED}"/usr/$(get_libdir)/libpytalloc-util.2.0.5.dylib || die
+                       install_name_tool \
+                               -change "${S}/bin/default/libtalloc.dylib" \
+                                       
"${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+                               
"${ED}"/usr/$(get_libdir)/libpytalloc-util.2.0.5.dylib || die
+                       install_name_tool \
+                               -change "${S}/bin/default/libtalloc.dylib" \
+                                       
"${EPREFIX}"/usr/$(get_libdir)/libtalloc.2.dylib \
+                               "${D}"$(python_get_sitedir)/talloc.bundle || die
+               fi
+       fi
+}

Reply via email to